Name:		fermilab-conf_screenlock
Obsoletes:	zz_screenlock_kde
Version:	1.0
Release:	2
Summary:	Sets a default screenlock for the GUI sessions

Group:		Fermilab
License:	GPL
URL:		http://helpdesk.fnal.gov
Source0:	%{name}.tar.gz

Provides:	zz_screenlock_kde
BuildRequires:	bash coreutils systemd
BuildArch:	noarch

Conflicts: gdm < 3.0
OrderWithRequires: GConf2


%description
Set a default screensaver for Gnome3, KDE, and MATE.

Per: CS-Doc-1065

%prep
%setup -q -n %{name}

%build

%install
rm -rf %{buildroot}
%{__install} -D kscreensaverrc    %{buildroot}/%{_datadir}/config/kscreensaverrc
%{__install} -D gnome-blank-screenlock.override    %{buildroot}/%{_datadir}/glib-2.0/schemas/gnome-blank-screenlock.override
%{__install} -D mate-blank-screenlock.override    %{buildroot}/%{_datadir}/glib-2.0/schemas/mate-blank-screenlock.override

%clean
rm -rf %{buildroot}

#####################################################################
%triggerin -p /bin/bash -- gdm
# glib-compile-schemas provided by GConf2
glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null
exit 0

%triggerpostun -p /bin/bash -- gdm
# glib-compile-schemas provided by GConf2
glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null
exit 0

#####################################################################
#####################################################################
%files
%defattr(0644,root,root,0755)
%{_datadir}/config/kscreensaverrc
%{_datadir}/glib-2.0/schemas/gnome-blank-screenlock.override
%{_datadir}/glib-2.0/schemas/mate-blank-screenlock.override


#####################################################################
%changelog
* Tue Feb 23 2016 Pat Riehecky <riehecky@fnal.gov> 1.0-2
- Provide old name

* Mon Feb 01 2016 Pat Riehecky <riehecky@fnal.gov> 1.0-1
- Initial build
